| Kea 3.0.2-git

logger_level.h File Reference
`#include <string>`
Include dependency graph for logger_level.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | isc::log::Level
| Log level structure. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::log

## Enumerations
enum | isc::log::Severity { isc::log::DEFAULT = 0 , isc::log::DEBUG = 1 , isc::log::INFO = 2 , isc::log::WARN = 3 , isc::log::ERROR = 4 , isc::log::FATAL = 5 , isc::log::NONE = 6 }
| Severity Levels. More...

## Functions
isc::log::Severity | isc::log::getSeverity (const std::string &sev_str)
| Returns the isc::log::Severity value represented by the given string.

## Variables
const int | isc::log::MAX_DEBUG_LEVEL = 99
const int | isc::log::MIN_DEBUG_LEVEL = 0
| Minimum/maximum debug levels.